classification
Title: codecs documentation does not mention surrogateescape
Type: behavior Stage:
Components: Documentation Versions: Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: ash, georg.brandl, nikratio
Priority: normal Keywords:

Created on 2009-08-05 15:48 by nikratio, last changed 2009-08-18 09:29 by ash. This issue is now closed.

Messages (3)
msg91321 - (view) Author: Nikolaus Rath (nikratio) * Date: 2009-08-05 15:48
On http://docs.python.org/3.1/library/codecs.html it says that

----
Possible values for errors are 'strict' (raise an exception in case of
an encoding error), 'replace' (replace malformed data with a suitable
replacement marker, such as '?'), 'ignore' (ignore malformed data and
continue without further notice), 'xmlcharrefreplace' (replace with the
appropriate XML character reference (for encoding only)) and
'backslashreplace' (replace with backslashed escape sequences (for
encoding only)) as well as any other error handling name defined via
register_error().
-----

shouldn't the 'surrogateescape' error handler from
http://docs.python.org/3.1/library/os.html#file-names-command-line-arguments-and-environment-variables
be mentioned here as well?
msg91374 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-08-06 17:51
Thanks, fixed in r74334.
msg91679 - (view) Author: Alexey Shamrin (ash) Date: 2009-08-18 09:29
Georg, it would also be nice to give a link to 'surrogateescape'
information in os module [1]. Yes, you gave a link to PEP 383, but PEP
harder to follow and more lengthy.

[1]:
http://docs.python.org/3.1/library/os.html#file-names-command-line-arguments-and-environment-variables
History
Date User Action Args
2009-08-18 09:29:41ashsetnosy: + ash
messages: + msg91679
2009-08-06 17:51:09georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg91374
2009-08-05 15:48:47nikratiocreate